<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $page;

include_once(FLASHGAL_PATH . 'include/class.inc.php');
include(FLASHGAL_PATH . 'include/functions.inc.php');

$home = (($page['section'] == 'categories') and empty($page['category'])) ? true : null ;
$catid = ($page['section'] == 'categories' and 
			isset($page['category'])) ? $page['category']['id'] : null ;
$permalinkcat = empty($page['category']['permalink']) ? null : $page['category']['permalink'];
/*if ($home)
	echo "HOMEOK";
if ($catid)
	echo "CATOK";
*/
$flashgal = new flashgal($catid, $home, $permalinkcat);

//$flashgal = new flashgal($page['category']['id']);

$template->set_filename('flashgal', realpath($flashgal->get_template('blocks.tpl')));

if (script_basename() == 'index')
{
  $begin = 'PLUGIN_INDEX_CONTENT_BEFORE';
  $end = 'PLUGIN_INDEX_CONTENT_AFTER';
  $css_file = 'index.css';
}
else
{
  $begin = 'PLUGIN_PICTURE_BEFORE';
  $end = 'PLUGIN_PICTURE_AFTER';
  $css_file = 'picture.css';
//  pwgs_picture_special_sections();
}

//echo "flashgal->module['replace_thumb']".$flashgal->module['replace_thumb'];
//echo "flashgal->module['replace_cats']".$flashgal->module['replace_cats'];
// Suppression de la barre de navigation miniature


if (!empty($flashgal->blocks['begin']))
{
  $template->assign('blocks', $flashgal->blocks['begin']);
  $template->concat($begin,	$template->parse('flashgal', true));
}
if (!empty($flashgal->blocks['end']))
{
  $template->assign('blocks', $flashgal->blocks['end']);
  $template->concat($end,	$template->parse('flashgal', true));
}



$template->block_html_head('', '<link rel="stylesheet" type="text/css" href="'.$flashgal->get_template($css_file).'">', $smarty, $repeat);

?>